import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { Observable, of } from 'rxjs';

@Injectable({ providedIn: 'root' })
export class PagesResolve implements Resolve<String> {
  constructor() {}

  resolve(route: ActivatedRouteSnapshot): Observable<String> | Observable<never> {
    // first is "/pages" chop off
    // second is "/de" (language"): chop off
    let subUrl = '';
    for(let i = 1; i<route.url.length; i++) {
        subUrl += '/';
        subUrl += route.url[i].path ;
    }
    if(subUrl === "")
        return of("helpStart");
    return of(subUrl);
  }
}

